body{
	height: calc(100vh-100px);
	margin: 0;
	display: flex;
	flex-direction: column;
	background-color: #000;
}

.body-container{
	
	width: 95vw;
	height: calc(80vh-100px);
	display: grid;
	margin: auto;
	margin-top: 100px;
	grid-template-columns: repeat(autofill, minmax(250px,1fr));
	grid-auto-rows: 150px;
	grid-gap: 30px;
}

.publicidad1{
	grid-column: 1;
	grid-row: 1 / 5;
}

.publicidad1,
.publicidad2 img{
	width: 100%;
	height: 100%;
	object-fit: cover;
}

.publicidad2{
	grid-column: 5;
	grid-row: 1 / 5;
}

.post-container{
	padding: 10px;
	grid-row: 1 / 5;
	grid-column: 2 / 5;
	display: grid;
	
	height: 100vh;
}

.post-text-cabecera{
	font-size: 25px;
	color:#fff;
}

.post-text{
	font-size: 15px;
	color: red;
}

.post-cabecera{
	width: 60vw;
	height: 200px;
	outline: 2px solid red;
}

.post-varios{
	display: grid;
	outline: 2px solid #fff;
	grid-template-columns: repeat(autofill,250px);
	grid-auto-rows: 200px;
	grid-gap: 30px;
	overflow-y: scroll;
}

.listar-posts-izq,
.listar-posts-der{
	outline: 2px solid yellow;
}

.listar-posts-izq{
	grid-column: 1 / 3;
}

.listar-posts-der{
	grid-column: 3 / 5;
}

.post{
	padding: 10px;
}

.post-varios::-webkit-scrollbar{
	width: 10px;
}

.post-varios::-webkit-scrollbar-track{
	background: #f1f1f1;
	border-radius: 6px;
}

.post-varios::-webkit-scrollbar-thumb{
	background: #1aa4cc;
	border-radius: 6px; 
}

.post-varios::-webkit-scrollbar-thumb:hover{
	background: linear-gradient(to bottom, #fff, #1aa4cc);
}